@font-face {
    font-family: "OpenSans";
    src: url("./fonts/OpenSans-Regular.ttf");
    font-weight: 400;
    font-display: swap;
  }

@font-face {
    font-family: "OpenSans";
    src: url("./fonts/OpenSans-Bold.ttf");
    font-weight: 700;
    font-display: swap;
}

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    font-family: OpenSans, serif;
    letter-spacing: 0.2em;
    font-size: 12px;
    color: #000;
}


body.kupfer{
    color: #c38f5f;
    background-color: #000;
}

body.impressum{
    color: #c38f5f;
    background-color: #000;
    letter-spacing: 0.1em;
}

body.linktree{
    color: #c38f5f;
    background-color: #000;
}

h1{
    font-family: OpenSans, serif;
    font-weight: 700;
    font-size: 23px;
}

h2{
    font-weight: 400;
    font-size: 14px;
}

p{
    margin-bottom: 30px;
    line-height: 1.2;
}

.container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
}



.box{
    max-width: 1400px;
    margin: 0 auto;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 63px;
    padding-bottom: 63px;
    width: 100%;
}

main{
    padding: 35px 45px;
    min-height: calc(100vh - 118px - 85px);
    display: flex;
    justify-content: center;
    align-items: center;
}

.linktree main{
    min-height: 100vh;
    flex-direction: column;
    padding-left: 15px;
    padding-right: 15px;
}

.linktree-links{
    padding-left: 15px;
    padding-right: 15px;
    max-width: 100%;
}

.linktree-links-wrap{
    width: 420px;
    max-width: 100%;
    border:2px solid #323232;
    border-radius: 2px;
    margin-bottom: 9px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 17px;
    text-align: center;
}

.linktree-links-wrap a{
    color: #c38f5f;
    text-decoration: none;
    font-size: 16px;
    transition: all 0.3s ease;
}

.linktree-links-wrap.footer-links{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.linktree-links-wrap a:hover{
    color: #fff;
}

header{
    height: 85px;
    padding: 25px 20px 0;
}

main .logo img{
    width: 496px;
    max-width: 100%;
    height: auto;
}

footer{
    background-color: #000;
    padding: 25px 20px;
    color: #fff;
}

.kupfer footer{
    color: #c38f5f;
}

footer a{
    color: #fff;
    text-decoration: none;
}

.kupfer footer a{
    color: #c38f5f;
}

footer a:hover{
    text-decoration: underline;
}

.row{
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
}

footer .row{
    justify-content: space-between;
}

#footer-links{
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    margin-bottom: 5px;
}



.column-footer:first-child{
    width: 60%;
    padding-left: 15px;
    padding-right: 15px;
}

.column-footer:last-child{
    width: 40%;
    padding-left: 15px;
    padding-right: 15px;
}

.linktree-logo{
    margin-bottom: 59px;
}

.social-links ul{
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: right;
}

.social-links ul li img{
    width: 24px;
    height: 24px;
}

@media screen and (min-width: 480px){
    .column-footer:last-child{
        width: 50%;
    }
    .column-footer:first-child{
        width: 50%;
    }
}


@media screen and (min-width: 640px){
    body{
        font-size: 16px;
    }
    h1{
        font-size: 30px;
    }
    
    h2{
        font-size: 18px;
    }
    #footer-links li{
        position: relative;
    }

    #footer-links li::after{
        content: "";
        width: 2px;
        height: 2px;
        background-color: #fff;
        border-radius: 50%;
        position: absolute;
        right: -10px;
        top: 50%;
        transform: translateY(-50%);
    }
    .kupfer #footer-links li::after{
        background-color: #c38f5f;
    }
    #footer-links li:last-child::after{
        display: none;
    }
    #footer-links{
        gap: 20px;
    }
    .linktree-links-wrap.footer-links a{
        position: relative;
    }
    .linktree-links-wrap.footer-links a::after{
        content: "";
        width: 2px;
        height: 2px;
        background-color: #c38f5f;
        border-radius: 50%;
        position: absolute;
        right: -10px;
        top: 50%;
        transform: translateY(-50%);
    }
    .linktree-links-wrap.footer-links a:last-child::after{
        display: none;
    }
}

@media screen and (min-width: 768px){
    .column-footer{
        width: auto;
    }
    .social-links ul li img{
        width: 30px;
        height: 30px;
    }
    #footer-links{
        margin-bottom: 20px;
    }
}

@media screen and (min-width: 992px){

    body{
        font-size: 16px;
    }
    h1{
        font-family: OpenSans, serif;
        font-weight: 700;
        font-size: 38px;
    }
    
    h2{
        font-weight: 400;
        font-size: 24px;
    }
    main{
        padding: 45px 50px;
        min-height: calc(100vh - 178px - 128px);
    }

    header{
        padding: 45px 50px 0;
    }
    footer{
        background-color: #000;
        padding: 45px 50px;
        color: #fff;
    }
    main .logo img{
        width: 550px;
    }
    .linktree-links-wrap a{
        font-size: 24px;
    }
    
}